Source: golang-github-protonmail-gluon
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytham@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-bradenaw-juniper-dev,
 golang-github-emersion-go-imap-dev,
 golang-github-golang-mock-dev,
 golang-github-google-uuid-dev,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-pierrec-lz4-dev,
 golang-golang-x-exp-dev,
 golang-golang-x-text-dev,
 golang-logrus-dev,
 golang-github-stretchr-testify-dev <!nocheck>,
 golang-github-emersion-go-imap-uidplus-dev <!nocheck>,
 golang-github-pkg-profile-dev <!nocheck>,
 golang-github-protonmail-go-mbox-dev <!nocheck>,
 golang-uber-goleak-dev <!nocheck>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-protonmail-gluon
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-protonmail-gluon.git
Homepage: https://github.com/ProtonMail/gluon
XS-Go-Import-Path: github.com/ProtonMail/gluon

Package: golang-github-protonmail-gluon-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-bradenaw-juniper-dev,
 golang-github-emersion-go-imap-dev,
 golang-github-golang-mock-dev,
 golang-github-google-uuid-dev,
 golang-github-mattn-go-sqlite3-dev,
 golang-github-pierrec-lz4-dev,
 golang-golang-x-exp-dev,
 golang-golang-x-text-dev,
 golang-logrus-dev,
 ${misc:Depends},
Description: IMAP server library written in Go (library)
 Gluon is an IMAP4rev1 library focusing on correctness, stability and
 performance. Exposes a basic IMAP server via the Server type.
